org.aspectj.weaver.loadtime.definition

## Class SimpleAOPParser

- java.lang.Object
- - org.aspectj.weaver.loadtime.definition.SimpleAOPParser

    public class SimpleAOPParser
    extends java.lang.Object

This class has been created to avoid deadlocks when instrumenting SAXParser. So it is used as a wrapper for the ligthweigh XML parser LightXMLParser.

Author:
  A. Nevado

### Method Summary

Methods
`static Definition` `parse(java.net.URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static Definition parse(java.net.URL url)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`